Bug 963917 - please remove +x bit from systemd unit file
Summary: please remove +x bit from systemd unit file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 19
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 965000
TreeView+ depends on / blocked
 
Reported: 2013-05-16 18:44 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2013-06-01 03:20 UTC (History)
9 users (show)

Fixed In Version: qemu-1.4.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 965000 (view as bug list)
Environment:
Last Closed: 2013-06-01 03:20:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2013-05-16 18:44:42 UTC
The unit file is not executable, and should not be marked +x. C.f. https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions.

-rwxr-xr-x. 1 root root 270 Apr 20 20:16 /usr/lib/systemd/system/ksm.service
-rwxr-xr-x. 1 root root 229 Apr 20 20:16 /lib/systemd/system/ksmtuned.service

qemu-common-1.4.1-1.fc19.x86_64

Comment 1 Fedora Update System 2013-05-25 19:43:49 UTC
qemu-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-1.fc19

Comment 2 Fedora Update System 2013-05-26 16:59:52 UTC
Package qemu-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9287/qemu-1.4.2-1.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-05-27 13:13:23 UTC
qemu-1.4.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-2.fc19

Comment 4 Fedora Update System 2013-06-01 03:20:20 UTC
qemu-1.4.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.